import 'package:flutter/material.dart';
import 'package:hl_lieferservice/model/tour.dart';
import 'package:intl/intl.dart';

class DeliveryInfo extends StatelessWidget {
  final Tour tour;

  const DeliveryInfo({super.key, required this.tour});

  @override
  Widget build(BuildContext context) {
    String date = DateFormat("dd.MM.yyyy").format(tour.date);
    String amountDeliveries = tour.deliveries.length.toString();

    return Padding(
      padding: const EdgeInsets.all(10),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Padding(
            padding: const EdgeInsets.only(bottom: 10),
            child: Text(
              "Informationen",
              style: Theme.of(context).textTheme.headlineSmall,
            ),
          ),

          SizedBox(
            width: double.infinity,
            child: Card(
              color: Theme.of(context).colorScheme.onSecondary,
              child: Padding(
                padding: const EdgeInsets.all(20),
                child: Column(
                  mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                  children: [
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Row(
                          children: [
                            Icon(Icons.calendar_month),
                            Padding(
                              padding: const EdgeInsets.only(left: 5),
                              child: Text("Datum"),
                            ),
                          ],
                        ),
                        Text(date),
                      ],
                    ),

                    Padding(
                      padding: const EdgeInsets.only(top: 15),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Row(
                            children: [
                              Icon(Icons.local_shipping_outlined),
                              Padding(
                                padding: const EdgeInsets.only(left: 5),
                                child: Text("Lieferungen"),
                              ),
                            ],
                          ),
                          Text(amountDeliveries),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
